import { Component } from 'react'
import { View, Text, Button, Image, scrollView, Input } from '@tarojs/components'
import Taro, { } from '@tarojs/taro'
import tool from '../../common/tool'
import * as api from '../../service/index'
import './index.less'

export default class Mine extends Component {

  state = {
    userInfo: {},
    type: 0,
    infos: [],
    total: 20,
    page: 1,
    page_size: 20,
  }

  componentDidShow () {
    this.getUserInfo()
    this.getMyDraw(1)
  }
  getUserInfo () {
    api.getUserInfo().then(res => {
      if (res.code == 200) {
        this.setState({
          userInfo: res.data
        })
      }
    })
  }
  getMyDraw (page) {
    let params = {
      page: page,
      page_size: this.state.page_size,
    }
    api.getMyDraw(params).then(res => {
      if (res.code == 200) {
        let infos = this.state.infos.concat(res.data.infos)
        this.setState({
          infos: infos,
          total: res.data.total
        })
      }
    })
  }
  onReachBottom () {
    if (this.state.infos.length < this.state.total) {
      this.setState({
        page: this.state.page + 1
      })
      this.getMyDraw(this.state.page + 1)
    }
    console.log('onReachBottom()');
  }
  changeType (index) {
    this.setState({
      type: index
    })
  }
  toDetail(item){
    Taro.navigateTo({
      url: `/pages/darwDetail/index?task_id=${item.task_id}`
    })
  }

  componentDidMount () { }

  render () {
    return (
      <View className='mine'>
        <View className='user-info'>
          <View className='user-top'>
            <Image className='user-img' src={this.state.userInfo.head_img}></Image>
            <View className='user-info-text'>
              <View className='info-top'>
                <View className='user-name'>{this.state.userInfo.user_name}</View>
              </View>
              <View className='info-bottom'>
                <View className='integral'>积分：~</View>
              </View>
            </View>
          </View>
          <View className='get-integral'>
            <View className='inte-button'>获取积分</View>
          </View>
        </View>
        <View className='type'>
          <View className='type-content'>
            <View className='works' style={this.state.type == 0 ? ' background-image: linear-gradient(-45deg, #4EC3F8 0%, #0F84EC 100%);color: #FFFFFF;' : ''} onClick={e => (this.changeType(0))}>作品</View>
            <View className='like' style={this.state.type == 1 ? ' background-image: linear-gradient(-45deg, #4EC3F8 0%, #0F84EC 100%);color: #FFFFFF;' : ''} onClick={e => (this.changeType(1))}>喜欢</View>
          </View>
        </View>
        <View className='work-list'>
          <View className='work-num'>作品数量：{this.state.total}/1000</View>
          <View className='work-list-info' >
            {
              this.state.infos.map((item, index) => (
                <View className='work-info' key={index} onClick={e=>(this.toDetail(item))}>
                  <Image className='work-img' mode='widthFix' src={item.img}></Image>
                  <View className='work-name'>{tool.ellipsis(item.img_info, 20)}</View>
                </View>
              ))
            }
          </View>
        </View>
      </View>
    )
  }
}
